Retrieves a specific retrospective process by id
curl --request GET \
--url https://api.rootly.com/v1/retrospective_processes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "84b437d3-6e5c-4665-94e0-b2612dbf4cc9",
"type": "retrospective_processes",
"attributes": {
"name": "Quae doloremque possimus asperiores.",
"description": "Atque porro magni. Eius qui nisi. Ut ducimus officia.",
"is_default": false,
"created_at": "2026-02-07T16:50:16.661-08:00",
"updated_at": "2026-02-07T16:50:16.661-08:00",
"retrospective_process_matching_criteria": {
"incident_type_ids": [
"74143aca-bbea-4cde-a68b-b8ea0562d054"
]
}
},
"relationships": {
"retrospective_steps": {
"data": [
{
"id": "ab0468b3-fa0a-4119-af2d-76effc8f454e",
"type": "retrospective_steps"
},
{
"id": "8a8dc689-8c79-4107-b918-2b09ccc20268",
"type": "retrospective_steps"
}
]
},
"incident_types": {
"data": [
{
"id": "74143aca-bbea-4cde-a68b-b8ea0562d054",
"type": "incident_types"
}
]
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: retrospective_steps,severities
retrospective_steps, severities, incident_types, groups retrospective_process found
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/retrospective_processes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "84b437d3-6e5c-4665-94e0-b2612dbf4cc9",
"type": "retrospective_processes",
"attributes": {
"name": "Quae doloremque possimus asperiores.",
"description": "Atque porro magni. Eius qui nisi. Ut ducimus officia.",
"is_default": false,
"created_at": "2026-02-07T16:50:16.661-08:00",
"updated_at": "2026-02-07T16:50:16.661-08:00",
"retrospective_process_matching_criteria": {
"incident_type_ids": [
"74143aca-bbea-4cde-a68b-b8ea0562d054"
]
}
},
"relationships": {
"retrospective_steps": {
"data": [
{
"id": "ab0468b3-fa0a-4119-af2d-76effc8f454e",
"type": "retrospective_steps"
},
{
"id": "8a8dc689-8c79-4107-b918-2b09ccc20268",
"type": "retrospective_steps"
}
]
},
"incident_types": {
"data": [
{
"id": "74143aca-bbea-4cde-a68b-b8ea0562d054",
"type": "incident_types"
}
]
}
}
}
}